button {
  background-color: inherit;
  font-size: inherit;
  font-family: inherit;
  letter-spacing: inherit;
  font-weight: inherit;
  border: none;
}

.maisonBtn {
  @include hideBack;
  font-size: 1em;
  z-index: 60;
  position: fixed;
  width: auto;
  height: 3em;
  padding-top: 2em;
  padding-right: 1.5em;
  top: 0;
  right: 0;
  display: block;
  background-color: $c-fond;
  box-shadow: 0em 0em 1.5em 2em $c-fond;
  &-icon {
    display: inline-block;
    transition: 0.6s;
    width: 1.25em;
    height: 1.2em;
    position: relative;
    margin-right: 0.5em;
    &-murG,
    &-murD {
      width: 0.2em;
      background-color: $c-primary;
      height: 100%;
      position: absolute;
    }
    &-murG {
      bottom: 0;
      left: 0;
      transition: 0.3s;
      transition-delay: 0s;
    }
    &-murD {
      bottom: 0;
      right: 0;
      transition: 0.3s;
      transition-delay: 0.3s;
    }
    &-toit {
      border-radius: 5em;
      width: 1.5em;
      height: 0.2em;
      background-color: transparent;
      position: absolute;
      right: -0.125em;
      top: 0;
      transition: 0.3s;
      transition-delay: 0.05s;
      &::after,
      &::before {
        content: "";
        position: absolute;
        height: 0.2em;
        background-color: $c-primary;
        width: 1.15em;
        bottom: -2px;
        transition: transform 0.3s, opacity 0.9s;
        transition-delay: 0.2s;
      }
      &::after {
        left: 0;
        transform: rotateZ(-45deg);
        transform-origin: 0% 50%;
      }
      &::before {
        right: 0;
        transform: rotateZ(45deg);
        transform-origin: 100% 50%;
      }
    }
  }
  &-intitule {
    display: inline-block;
    font-size: 1.5em;
    text-transform: uppercase;
    font-weight: 600;
    letter-spacing: 0.05em;
    font-family: "Open Sans", sans-serif;
    overflow: hidden;
    transition: 0.6s;
    width: 0;
    p {
      width: 4.5em;
      margin: 0;
      line-height: 0.9em;
    }
  }
  &:hover {
    .maisonBtn-icon {
      &-murG {
        height: 0;
      }
      &-toit {
        transform-origin: 100% 50%;
        transform: rotateZ(-45deg);
        right: 0.1em;
        top: -0.05em;
        transition-timing-function: ease-in;
        &::after {
          transform: rotateZ(0deg);
          transition-timing-function: ease-in;
        }
        &::before {
          transform: rotateZ(0deg);
          transition-timing-function: ease-in;
        }
      }
      &-murD {
        height: 1.5em;
        transform-origin: 50% 100%;
        transform: rotateZ(-45deg);
        right: -0.05em;
        bottom: 0.05em;
      }
    }
    
    .maisonBtn-intitule {
      width: 4.5em;
    }
  }
}
